Foxit PDF SDK

Instance Methods | Properties | List of all members
FSURIAction Class Reference
Inheritance diagram for FSURIAction:

## Instance Methods
(id) | - initWithAction:
| Constructor, with parent class object. More...
(BOOL) | - isTrackPosition
| Check whether to track the mouse position when the URI is resolved. More...
(void) | - setTrackPositionFlag:
| Set the value for tracking position flag. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
NSString * | uRI
| Get or Set the URI string.

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

URI (uniform resource identifier) action is an action that causes a URI to be resolved. Class FSURIAction is derived from FSAction and offers functions to get/set URI action data.

See also
  FSAction

## Method Documentation

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## ◆ isTrackPosition()

- (BOOL) isTrackPosition |  |  |

Check whether to track the mouse position when the URI is resolved.

Returns
  YES means application should track the mouse position, while NO means no need to track the mouse position.

## ◆ setTrackPositionFlag:()

- (void) setTrackPositionFlag: |  | (BOOL) | is_track_position |

Set the value for tracking position flag.

Parameters

  [in] | is_track_position | YES means to track position, while NO means not to track position.

Returns
  None.